# class Window

#### package openfl.display

#### extends Window

Available on all platforms

### Constructor

###

`new (?config:WindowConfig)`

### Inherited Variables

#### Defined by Window

###

`read onlyapplication:Application`

###

`borderless:Bool`

###

`config:WindowConfig`

###

`read onlydisplay:Display`

###

`displayMode:DisplayMode`

###

`enableTextEvents:Bool`

###

`fullscreen:Bool`

###

`height:Int`

###

`read onlyid:Int`

###

`maximized:Bool`

###

`minimized:Bool`

###

`onActivate:Event<Void ‑> Void> = new Event<Void>()`

###

`onClose:Event<Void ‑> Void> = new Event<Void>()`

###

`onCreate:Event<Void ‑> Void> = new Event<Void>()`

###

`onDeactivate:Event<Void ‑> Void> = new Event<Void>()`

###

`onDropFile:Event<String ‑> Void> = new Event<String>()`

###

`onEnter:Event<Void ‑> Void> = new Event<Void>()`

###

`onFocusIn:Event<Void ‑> Void> = new Event<Void>()`

###

`onFocusOut:Event<Void ‑> Void> = new Event<Void>()`

###

`onFullscreen:Event<Void ‑> Void> = new Event<Void>()`

###

`onKeyDown:Event<KeyCode ‑> KeyModifier ‑> Void> = new Event<KeyCode -> KeyModifier>()`

###

`onKeyUp:Event<KeyCode ‑> KeyModifier ‑> Void> = new Event<KeyCode -> KeyModifier>()`

###

`onLeave:Event<Void ‑> Void> = new Event<Void>()`

###

`onMinimize:Event<Void ‑> Void> = new Event<Void>()`

###

`onMouseDown:Event<Float ‑> Float ‑> Int ‑> Void> = new Event<Float -> Float -> Int>()`

###

`onMouseMove:Event<Float ‑> Float ‑> Void> = new Event<Float -> Float>()`

###

`onMouseMoveRelative:Event<Float ‑> Float ‑> Void> = new Event<Float -> Float>()`

###

`onMouseUp:Event<Float ‑> Float ‑> Int ‑> Void> = new Event<Float -> Float -> Int>()`

###

`onMouseWheel:Event<Float ‑> Float ‑> Void> = new Event<Float -> Float>()`

###

`onMove:Event<Float ‑> Float ‑> Void> = new Event<Float -> Float>()`

###

`onResize:Event<Int ‑> Int ‑> Void> = new Event<Int -> Int>()`

###

`onRestore:Event<Void ‑> Void> = new Event<Void>()`

###

`onTextEdit:Event<String ‑> Int ‑> Int ‑> Void> = new Event<String -> Int -> Int>()`

###

`onTextInput:Event<String ‑> Void> = new Event<String>()`

###

`renderer:Renderer`

###

`resizable:Bool`

###

`read onlyscale:Float`

###

`stage:Stage`

###

`title:String`

###

`width:Int`

###

`x:Int`

###

`y:Int`

### Inherited Methods

#### Defined by Window

###

`alert (?message:String, ?title:String):Void`

###

`close ():Void`

###

`create (application:Application):Void`

###

`focus ():Void`

###

`move (x:Int, y:Int):Void`

###

`resize (width:Int, height:Int):Void`

###

`setIcon (image:Image):Void`

###

`toString ():String`